package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Weapon;

public class Goblin extends Enemy
{
    public Goblin(int hp, int mp) { super(10, 15); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 5)
        {
            super.specialAbility(target);
            target.takeDamage(7);
            this.setMp(this.getMp() - 5);
            System.out.println("The Goblin struck a powerful below 👊");
        }
    }
}
